Subject: bug#21138: 24.5; package system not initializing

From: Glenn Morris <[email-masked]>
Date: Mon, 27 Jul 2015 12:05:38 -0400

Alexis wrote:

> i'm on 24.5.2 (manually compiled on Debian Jessie x86_64), and when i
> comment out `package-initialize' from my init.el and start a
> non-daemonised instance of Emacs, startup doesn't fully complete due
> to `package-archives' being a void variable on which my config tries
> to use `add-to-list'. Then, commenting out such lines, i get errors on
> calls to things like `emms-all' - i have emms-20150519.736 installed
> from MELPA. After startup completes, `package--initialized' and
> package-enable-at-startup' are both set to `t'.

The documentation that you quoted in your initial report explained that
packages are initialized _after_ processing the init file. So if you
want to use a package in your init file, then yes, you need to manually
init the package system before doing so. If all you wanted to do was
manipulate package-archives, then you could require package, or use
customize, as for any other such variable.